VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Here is a list of all class members with links to the classes they belong to:

### - a -

- activate() : IWindow
- active : CFrame::Impl
- activeFocusView : CFrame::Impl
- activeScrollbarStyle : CScrollView
- add() : DispatchList< T > , Modifiers , CDropSource , MouseEventButtonState , ViewCreatorRegistry , CInvalidRectList , Group , DispatchList< T >
- addAnimation() : CView , Animator , CView
- addArc() : CGraphicsPath , CKnob
- addBezierCurve() : CGraphicsPath
- addBitmap() : CBitmap
- addColorStop() : CGradient
- addControl() : ParameterChangeListener
- addCreateViewControllerFunc() : Customization
- addDefaultNodes() : UIDescription
- addEllipse() : CGraphicsPath
- addEntry() : COptionMenu
- addFileExtension() : CNewFileSelector
- addLine() : CGraphicsPath
- addNewTemplate() : UIDescription
- addPath() : CGraphicsPath
- addPoint() : InterpolationTimingFunction
- addRect() : CFrame::CollectInvalidRects , CGraphicsPath
- address : CBitmapPixelAccess
- addRoundRect() : CGraphicsPath
- addSegment() : CSegmentButton
- addSeparator() : COptionMenu
- addTab() : CTabView
- addValue() : ModelBindingCallbacks
- addView() : CAutoLayoutContainerView , CScrollView , CSplitView , CViewContainer
- addViewToSeparator() : CSplitView
- advanceNextFocusView() : CFrame , CViewContainer
- AEffGUIEditor() : AEffGUIEditor
- afterPopup() : COptionMenu
- aliasing() : CDrawMode
- alignTabs() : CTabView
- allocate() : MallocAllocator , Buffer< T, Allocator >
- allowedZoomFactors : VST3Editor
- alpha : CColor
- AlphaValueAnimation() : AlphaValueAnimation
- animationFinished() : AlphaValueAnimation , ViewSizeAnimation , ExchangeViewAnimation , ControlValueAnimation , IAnimationTarget
- animationFrameTime : CAutoAnimation
- animationIndex : CAnimationSplashScreen
- AnimationSplashScreenCreator() : AnimationSplashScreenCreator
- animationStart() : AlphaValueAnimation , ViewSizeAnimation , ExchangeViewAnimation , ControlValueAnimation , IAnimationTarget
- AnimationStyle : ExchangeViewAnimation , UIViewSwitchContainer
- animationStyle : UIViewSwitchContainer
- animationTick() : AlphaValueAnimation , ViewSizeAnimation , ExchangeViewAnimation , ControlValueAnimation , IAnimationTarget
- animationTime : CAnimationSplashScreen , UIViewSwitchContainer
- animator : CFrame::Impl
- AnimKnobCreator() : AnimKnobCreator
- antiAliasing() : CDrawMode
- appendContextMenuItems() : IContextMenuController , IContextMenuController2
- apply() : KnobCreator , GradientViewCreator , ViewCreatorAdapter , UIViewSwitchContainerCreator , VuMeterCreator , TextEditCreator , XYPadCreator , ViewCreator , IViewCreator , StringListControlCreator , AnimationSplashScreenCreator , ViewContainerCreator , TextLabelCreator , AnimKnobCreator , AutoAnimationCreator , SliderCreator , CheckBoxCreator , SwitchBaseCreator , RowColumnViewCreator , OptionMenuCreator , MultiBitmapControlCreator , IMultiBitmapControlCreator , ControlCreator , KnobBaseCreator , SplitViewCreator , LayeredViewContainerCreator , SliderBaseCreator , SearchTextEditCreator , SegmentButtonCreator , ShadowViewContainerCreator , ScrollViewCreator , ParamDisplayCreator , TextButtonCreator , MultiLineTextLabelCreator
- applyAttributeValues() : IViewFactory , UIViewFactory
- applyCustomViewAttributeValues() : IViewFactory , UIViewFactory
- assign() : UTF8String
- asViewContainer() : CViewContainer , CView
- attach() : IView , ViewAdapter , CExternalViewBaseImpl
- attached() : CDataBrowser , CFontChooser , COpenGLView , CAutoLayoutContainerView , CView , CViewContainer , CLayeredViewContainer , CExternalView , CAutoAnimation , UIViewSwitchContainer , CFrame , CSplitView , CExternalControl , CListControl , CShadowViewContainer , CSegmentButton
- attributeChanged() : CGradientView
- attributes : CView::Impl
- AttributeSaveFilterFunc : UIDescription
- attributeSaveFilterFunc : UIDescription::Impl
- AttrType : IViewCreator
- AutoAnimationCreator() : AutoAnimationCreator
- autoComputeHeightOfOneImage() : IMultiBitmapControl
- autoReverse : RepeatTimingFunction
- autoSaveFrameName : WindowConfiguration
- autosizeFlags : CView::Impl